<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='archiveData' [showValidationSummary]="false"
        validationGroup="archiveValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]="1" [colCount]='2'>
            <dxi-item [label]="{text: 'Tip Raport'}" dataField="typeId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: dsReportType, valueExpr: 'id', displayExpr: 'value' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Entitate'}" dataField="partyId" editorType="dxSelectBox"
                [editorOptions]="{dataSource: pWithActiv, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
        </dxi-item>
        <dxi-item itemType='group' [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Data'}" dataField="date" editorType="dxDateBox"
                [editorOptions]="{ format: 'dd.MM.yyyy', width: 'auto' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Descriere'}" dataField="comments" editorType="dxTextBox" [editorOptions]="{ }">
            </dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>